/*****************************************************************************
 * cuckooo - OpenOffice.org nested in KDE                                    *
 *                                                                           *
 * Copyright (C) 2003 Jan Holesovsky <kendy@artax.karlin.mff.cuni.cz>        *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#ifndef __KOOo_shell_shell_h__
#define __KOOo_shell_shell_h__

#include <kparts/mainwindow.h>

namespace KOOo
{
  class Shell : public KParts::MainWindow
  {
    Q_OBJECT
    public:
      Shell();
      virtual ~Shell();

      void openURL(const KURL &url);

    protected slots:
      void slotFileOpen();

    private:
      KParts::ReadOnlyPart *m_part;
      QString               m_workdir;
  };
}

#endif // __KOOo_shell_shell_h__
